Subject: bug#57238: 29.0.50; Tramp: as root on remote SSH server: file is write protected, for -rw-r--r-- 1 admin admin 46587 Aug 5 20:42 websites

From: Jean Louis <[email-masked]>
Date: Wed, 17 Aug 2022 16:27:07 +0300

* Michael Albinus <[email-masked]> [2022-08-16 21:12]:
> Jean Louis <[email-masked]> writes:
> 
> Hi Jean,
> 
> > I remember I was editing this file many times, but now I am getting this
> > weird error:
> >
> > Tramp: Checking ‘vc-registered’ for /scp:root@static:/etc/nginx/sites-available/websites...done
> > Note: file is write protected
> >
> >   -rw-r--r-- 1 admin admin 46587 Aug  5 20:42 websites
> 
> Thanks for the bug report, I can reproduce it locally. Pushed
> 12c3461b455bf06551060ed6061f7df84967ae97 to Emacs master, which ought to
> fix it. Could you, pls, check?

Now it works, feel free to close it.

I wonder if it is possible to exclude that warning "Checking
`vc-registered'" as it is just disturbing, Tramp is anyway slow and
turning it off could speed up the process.

-- 
Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

In support of Richard M. Stallman
https://stallmansupport.org/